Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFlorian Noyrit2017-03-28 17:42:34 +0000
committerFlorian Noyrit2017-03-30 17:42:47 +0000
commita82ba33c9533d3bfb931b7725cff7ac0478511d3 (patch)
treefcd6301bc9325e2b08e33a60930c70868d1bb35d /plugins/infra/ui
parent6177ae6f0aa8abd35d40a30281a11839097be211 (diff)
downloadorg.eclipse.papyrus-a82ba33c9533d3bfb931b7725cff7ac0478511d3.tar.gz
org.eclipse.papyrus-a82ba33c9533d3bfb931b7725cff7ac0478511d3.tar.xz
org.eclipse.papyrus-a82ba33c9533d3bfb931b7725cff7ac0478511d3.zip
[releng] Update plugins and feature version numbers for Oxygen with
Neon.3 as baseline Change-Id: Icb3b699de6846ce60370a1fedc169e1df741ace2
Diffstat (limited to 'plugins/infra/ui')
-rw-r--r--plugins/infra/ui/org.eclipse.papyrus.infra.onefile.ui/META-INF/MANIFEST.MF60
-rw-r--r--plugins/infra/ui/org.eclipse.papyrus.infra.ui.architecture/META-INF/MANIFEST.MF52
-rw-r--r--plugins/infra/ui/org.eclipse.papyrus.infra.ui.resources/META-INF/MANIFEST.MF28
-rw-r--r--plugins/infra/ui/org.eclipse.papyrus.infra.ui/META-INF/MANIFEST.MF90
-rw-r--r--plugins/infra/ui/org.eclipse.papyrus.infra.widgets.toolbox/META-INF/MANIFEST.MF52
-rw-r--r--plugins/infra/ui/org.eclipse.papyrus.infra.widgets.toolbox/pom.xml24
-rw-r--r--plugins/infra/ui/org.eclipse.papyrus.infra.widgets/META-INF/MANIFEST.MF4
7 files changed, 154 insertions, 156 deletions
diff --git a/plugins/infra/ui/org.eclipse.papyrus.infra.onefile.ui/META-INF/MANIFEST.MF b/plugins/infra/ui/org.eclipse.papyrus.infra.onefile.ui/META-INF/MANIFEST.MF
index 223f3ffe63a..4e84ef6f2f6 100644
--- a/plugins/infra/ui/org.eclipse.papyrus.infra.onefile.ui/META-INF/MANIFEST.MF
+++ b/plugins/infra/ui/org.eclipse.papyrus.infra.onefile.ui/META-INF/MANIFEST.MF
@@ -1,30 +1,30 @@
-Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.infra.onefile.internal.ui;x-internal:=true,
- org.eclipse.papyrus.infra.onefile.internal.ui.action;x-internal:=true,
- org.eclipse.papyrus.infra.onefile.internal.ui.filters;x-internal:=true,
- org.eclipse.papyrus.infra.onefile.internal.ui.model.adapters;x-internal:=true,
- org.eclipse.papyrus.infra.onefile.internal.ui.providers;x-internal:=true,
- org.eclipse.papyrus.infra.onefile.internal.ui.testers;x-internal:=true,
- org.eclipse.papyrus.infra.onefile.ui.providers,
- org.eclipse.papyrus.infra.onefile.ui.utils
-Require-Bundle: org.eclipse.ui.navigator;bundle-version="[3.6.0,4.0.0)",
- org.eclipse.ui.navigator.resources;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.core.resources;bundle-version="[3.11.0,4.0.0)";visibility:=reexport,
- org.eclipse.ui;bundle-version="[3.107.0,4.0.0)";visibility:=reexport,
- org.eclipse.ui.ide;bundle-version="[3.12.0,4.0.0)";visibility:=reexport,
- org.eclipse.ltk.core.refactoring;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.ltk.ui.refactoring;bundle-version="[3.8.0,4.0.0)",
- org.eclipse.core.filesystem;bundle-version="[1.6.0,2.0.0)",
- org.eclipse.papyrus.infra.emf;bundle-version="[2.0.0,3.0.0)",
- org.eclipse.papyrus.infra.ui;bundle-version="[2.0.0,3.0.0)",
- org.eclipse.papyrus.infra.onefile;bundle-version="[2.0.0,3.0.0)",
- org.eclipse.papyrus.infra.internationalization;bundle-version="[1.0.0,2.0.0)"
-Bundle-Vendor: %providerName
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Localization: plugin
-Bundle-Name: %pluginName
-Bundle-Activator: org.eclipse.papyrus.infra.onefile.internal.ui.Activator
-Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.infra.onefile.ui;singleton:=true
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.infra.onefile.internal.ui;x-internal:=true,
+ org.eclipse.papyrus.infra.onefile.internal.ui.action;x-internal:=true,
+ org.eclipse.papyrus.infra.onefile.internal.ui.filters;x-internal:=true,
+ org.eclipse.papyrus.infra.onefile.internal.ui.model.adapters;x-internal:=true,
+ org.eclipse.papyrus.infra.onefile.internal.ui.providers;x-internal:=true,
+ org.eclipse.papyrus.infra.onefile.internal.ui.testers;x-internal:=true,
+ org.eclipse.papyrus.infra.onefile.ui.providers,
+ org.eclipse.papyrus.infra.onefile.ui.utils
+Require-Bundle: org.eclipse.ui.navigator;bundle-version="[3.6.0,4.0.0)",
+ org.eclipse.ui.navigator.resources;bundle-version="[3.5.0,4.0.0)",
+ org.eclipse.core.resources;bundle-version="[3.11.0,4.0.0)";visibility:=reexport,
+ org.eclipse.ui;bundle-version="[3.107.0,4.0.0)";visibility:=reexport,
+ org.eclipse.ui.ide;bundle-version="[3.12.0,4.0.0)";visibility:=reexport,
+ org.eclipse.ltk.core.refactoring;bundle-version="[3.7.0,4.0.0)",
+ org.eclipse.ltk.ui.refactoring;bundle-version="[3.8.0,4.0.0)",
+ org.eclipse.core.filesystem;bundle-version="[1.6.0,2.0.0)",
+ org.eclipse.papyrus.infra.emf;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.papyrus.infra.ui;bundle-version="[2.0.0,3.0.0)",
+ org.eclipse.papyrus.infra.onefile;bundle-version="[2.1.0,3.0.0)",
+ org.eclipse.papyrus.infra.internationalization;bundle-version="[1.0.0,2.0.0)"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.infra.onefile.internal.ui.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.infra.onefile.ui;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/ui/org.eclipse.papyrus.infra.ui.architecture/META-INF/MANIFEST.MF b/plugins/infra/ui/org.eclipse.papyrus.infra.ui.architecture/META-INF/MANIFEST.MF
index dba7daad09d..2abacdc9a70 100644
--- a/plugins/infra/ui/org.eclipse.papyrus.infra.ui.architecture/META-INF/MANIFEST.MF
+++ b/plugins/infra/ui/org.eclipse.papyrus.infra.ui.architecture/META-INF/MANIFEST.MF
@@ -1,26 +1,26 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.infra.ui.architecture;singleton:=true
-Bundle-Version: 1.0.0.qualifier
-Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.papyrus.infra.ui.architecture.ArchitectureUIPlugin$Implementation
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Export-Package: org.eclipse.papyrus.infra.ui.architecture,
- org.eclipse.papyrus.infra.ui.architecture.widgets
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.core.resources;visibility:=reexport,
- org.eclipse.emf.ecore.xmi;visibility:=reexport,
- org.eclipse.emf.edit.ui;visibility:=reexport,
- org.eclipse.ui.ide;visibility:=reexport,
- org.eclipse.papyrus.infra.types.edit;visibility:=reexport,
- org.eclipse.papyrus.infra.architecture;bundle-version="1.0.0",
- org.eclipse.papyrus.infra.core.architecture.edit;visibility:=reexport,
- org.eclipse.papyrus.infra.architecture.representation.edit;bundle-version="1.0.0",
- org.eclipse.papyrus.infra.emf;bundle-version="2.2.0",
- org.eclipse.papyrus.infra.ui;bundle-version="2.0.0",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="3.0.0",
- org.eclipse.papyrus.infra.nattable.common;bundle-version="3.0.0"
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Bundle-ManifestVersion: 2
+Bundle-Name: %pluginName
+Bundle-SymbolicName: org.eclipse.papyrus.infra.ui.architecture;singleton:=true
+Bundle-Version: 1.0.0.qualifier
+Bundle-ClassPath: .
+Bundle-Activator: org.eclipse.papyrus.infra.ui.architecture.ArchitectureUIPlugin$Implementation
+Bundle-Vendor: %providerName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Export-Package: org.eclipse.papyrus.infra.ui.architecture,
+ org.eclipse.papyrus.infra.ui.architecture.widgets
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.core.resources;visibility:=reexport,
+ org.eclipse.emf.ecore.xmi;visibility:=reexport,
+ org.eclipse.emf.edit.ui;visibility:=reexport,
+ org.eclipse.ui.ide;visibility:=reexport,
+ org.eclipse.papyrus.infra.types.edit;visibility:=reexport;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.papyrus.infra.architecture;bundle-version="[1.0.0,2.0.0)",
+ org.eclipse.papyrus.infra.core.architecture.edit;visibility:=reexport;bundle-version="[1.0.0,2.0.0)",
+ org.eclipse.papyrus.infra.architecture.representation.edit;bundle-version="[1.0.0,2.0.0)",
+ org.eclipse.papyrus.infra.emf;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.papyrus.infra.ui;bundle-version="[2.0.0,3.0.0)",
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.papyrus.infra.nattable.common;bundle-version="[3.0.0,4.0.0)"
+Bundle-ActivationPolicy: lazy
diff --git a/plugins/infra/ui/org.eclipse.papyrus.infra.ui.resources/META-INF/MANIFEST.MF b/plugins/infra/ui/org.eclipse.papyrus.infra.ui.resources/META-INF/MANIFEST.MF
index 432b6a491d7..b867cf92df4 100644
--- a/plugins/infra/ui/org.eclipse.papyrus.infra.ui.resources/META-INF/MANIFEST.MF
+++ b/plugins/infra/ui/org.eclipse.papyrus.infra.ui.resources/META-INF/MANIFEST.MF
@@ -1,14 +1,14 @@
-Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ltk.core.refactoring;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.papyrus.infra.services.controlmode.history;bundle-version="[1.2.0,2.0.0)",
- org.eclipse.papyrus.infra.emf.readonly;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.papyrus.infra.ui;bundle-version="[2.0.0,3.0.0)"
-Bundle-Vendor: %providerName
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Localization: plugin
-Bundle-Name: %pluginName
-Bundle-Activator: org.eclipse.papyrus.infra.ui.resources.Activator
-Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.infra.ui.resources;singleton:=true
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ltk.core.refactoring;bundle-version="[3.7.0,4.0.0)",
+ org.eclipse.papyrus.infra.services.controlmode.history;bundle-version="[2.0.0,3.0.0)",
+ org.eclipse.papyrus.infra.emf.readonly;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.papyrus.infra.ui;bundle-version="[2.0.0,3.0.0)"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.infra.ui.resources.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.infra.ui.resources;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/ui/org.eclipse.papyrus.infra.ui/META-INF/MANIFEST.MF b/plugins/infra/ui/org.eclipse.papyrus.infra.ui/META-INF/MANIFEST.MF
index f38831d1c1d..0524a75c802 100644
--- a/plugins/infra/ui/org.eclipse.papyrus.infra.ui/META-INF/MANIFEST.MF
+++ b/plugins/infra/ui/org.eclipse.papyrus.infra.ui/META-INF/MANIFEST.MF
@@ -1,45 +1,45 @@
-Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.infra.ui,
- org.eclipse.papyrus.infra.ui.command,
- org.eclipse.papyrus.infra.ui.contentoutline,
- org.eclipse.papyrus.infra.ui.converter,
- org.eclipse.papyrus.infra.ui.dnd,
- org.eclipse.papyrus.infra.ui.editor,
- org.eclipse.papyrus.infra.ui.editor.reload,
- org.eclipse.papyrus.infra.ui.editorsfactory,
- org.eclipse.papyrus.infra.ui.extension.commands,
- org.eclipse.papyrus.infra.ui.extension.diagrameditor,
- org.eclipse.papyrus.infra.ui.internal.commands;x-internal:=true,
- org.eclipse.papyrus.infra.ui.internal.preferences;x-internal:=true,
- org.eclipse.papyrus.infra.ui.lifecycleevents,
- org.eclipse.papyrus.infra.ui.menu,
- org.eclipse.papyrus.infra.ui.multidiagram.actionbarcontributor,
- org.eclipse.papyrus.infra.ui.preferences,
- org.eclipse.papyrus.infra.ui.preferences.dialog,
- org.eclipse.papyrus.infra.ui.providers,
- org.eclipse.papyrus.infra.ui.services,
- org.eclipse.papyrus.infra.ui.services.internal;x-internal:=true,
- org.eclipse.papyrus.infra.ui.util
-Bundle-ActivationPolicy: lazy
-Bundle-ClassPath: .
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="[2.0.0,3.0.0)";visibility:=reexport,
- org.eclipse.core.expressions;bundle-version="[3.5.0,4.0.0)";visibility:=reexport,
- org.eclipse.ui.ide;bundle-version="[3.12.0,4.0.0)";visibility:=reexport,
- org.eclipse.papyrus.infra.core.sasheditor.di;bundle-version="[2.0.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.edit.ui;bundle-version="[2.12.0,3.0.0)",
- org.eclipse.papyrus.infra.widgets;bundle-version="[3.0.0,4.0.0)";visibility:=reexport,
- org.eclipse.ui.views;bundle-version="[3.8.0,4.0.0)";visibility:=reexport,
- org.eclipse.papyrus.infra.emf;bundle-version="[2.0.0,3.0.0)",
- org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="[1.2.0,2.0.0)",
- org.eclipse.papyrus.infra.tools;bundle-version="[2.0.1,3.0.0)"
-Bundle-Vendor: %providerName
-Bundle-Version: 2.0.0.qualifier
-Eclipse-BuddyPolicy: dependent
-Bundle-ManifestVersion: 2
-Bundle-Activator: org.eclipse.papyrus.infra.ui.Activator
-Bundle-Description: Plugin dedicated to manage generic menus and actions,
- linked to EMF but not to UML nor GMF technologies.
-Bundle-SymbolicName: org.eclipse.papyrus.infra.ui;singleton:=true
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.infra.ui,
+ org.eclipse.papyrus.infra.ui.command,
+ org.eclipse.papyrus.infra.ui.contentoutline,
+ org.eclipse.papyrus.infra.ui.converter,
+ org.eclipse.papyrus.infra.ui.dnd,
+ org.eclipse.papyrus.infra.ui.editor,
+ org.eclipse.papyrus.infra.ui.editor.reload,
+ org.eclipse.papyrus.infra.ui.editorsfactory,
+ org.eclipse.papyrus.infra.ui.extension.commands,
+ org.eclipse.papyrus.infra.ui.extension.diagrameditor,
+ org.eclipse.papyrus.infra.ui.internal.commands;x-internal:=true,
+ org.eclipse.papyrus.infra.ui.internal.preferences;x-internal:=true,
+ org.eclipse.papyrus.infra.ui.lifecycleevents,
+ org.eclipse.papyrus.infra.ui.menu,
+ org.eclipse.papyrus.infra.ui.multidiagram.actionbarcontributor,
+ org.eclipse.papyrus.infra.ui.preferences,
+ org.eclipse.papyrus.infra.ui.preferences.dialog,
+ org.eclipse.papyrus.infra.ui.providers,
+ org.eclipse.papyrus.infra.ui.services,
+ org.eclipse.papyrus.infra.ui.services.internal;x-internal:=true,
+ org.eclipse.papyrus.infra.ui.util
+Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="[3.0.0,4.0.0)";visibility:=reexport,
+ org.eclipse.core.expressions;bundle-version="[3.5.0,4.0.0)";visibility:=reexport,
+ org.eclipse.ui.ide;bundle-version="[3.12.0,4.0.0)";visibility:=reexport,
+ org.eclipse.papyrus.infra.core.sasheditor.di;bundle-version="[2.0.0,3.0.0)";visibility:=reexport,
+ org.eclipse.emf.edit.ui;bundle-version="[2.12.0,3.0.0)",
+ org.eclipse.papyrus.infra.widgets;bundle-version="[3.0.0,4.0.0)";visibility:=reexport,
+ org.eclipse.ui.views;bundle-version="[3.8.0,4.0.0)";visibility:=reexport,
+ org.eclipse.papyrus.infra.emf;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="[2.0.0,3.0.0)",
+ org.eclipse.papyrus.infra.tools;bundle-version="[3.0.0,4.0.0)"
+Bundle-Vendor: %providerName
+Bundle-Version: 2.0.0.qualifier
+Eclipse-BuddyPolicy: dependent
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.infra.ui.Activator
+Bundle-Description: Plugin dedicated to manage generic menus and actions,
+ linked to EMF but not to UML nor GMF technologies.
+Bundle-SymbolicName: org.eclipse.papyrus.infra.ui;singleton:=true
diff --git a/plugins/infra/ui/org.eclipse.papyrus.infra.widgets.toolbox/META-INF/MANIFEST.MF b/plugins/infra/ui/org.eclipse.papyrus.infra.widgets.toolbox/META-INF/MANIFEST.MF
index 4d6c52f4a45..30025337b8c 100644
--- a/plugins/infra/ui/org.eclipse.papyrus.infra.widgets.toolbox/META-INF/MANIFEST.MF
+++ b/plugins/infra/ui/org.eclipse.papyrus.infra.widgets.toolbox/META-INF/MANIFEST.MF
@@ -1,26 +1,26 @@
-Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.infra.widgets.toolbox,
- org.eclipse.papyrus.infra.widgets.toolbox.dialog,
- org.eclipse.papyrus.infra.widgets.toolbox.draw2d,
- org.eclipse.papyrus.infra.widgets.toolbox.notification,
- org.eclipse.papyrus.infra.widgets.toolbox.notification.builders,
- org.eclipse.papyrus.infra.widgets.toolbox.notification.dialogs,
- org.eclipse.papyrus.infra.widgets.toolbox.notification.exception,
- org.eclipse.papyrus.infra.widgets.toolbox.notification.popups,
- org.eclipse.papyrus.infra.widgets.toolbox.notification.utils,
- org.eclipse.papyrus.infra.widgets.toolbox.notification.view,
- org.eclipse.papyrus.infra.widgets.toolbox.utils
-Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)";visibility:=reexport,
- org.eclipse.ui;bundle-version="[3.107.0,4.0.0)";visibility:=reexport,
- org.eclipse.ui.forms;bundle-version="[3.7.0,4.0.0)";visibility:=reexport,
- org.eclipse.draw2d;bundle-version="[3.10.0,4.0.0)";visibility:=reexport,
- org.eclipse.papyrus.infra.tools;bundle-version="[2.0.0,3.0.0)";visibility:=reexport
-Bundle-Vendor: %providerName
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-Activator: org.eclipse.papyrus.infra.widgets.toolbox.Activator
-Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.infra.widgets.toolbox;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.infra.widgets.toolbox,
+ org.eclipse.papyrus.infra.widgets.toolbox.dialog,
+ org.eclipse.papyrus.infra.widgets.toolbox.draw2d,
+ org.eclipse.papyrus.infra.widgets.toolbox.notification,
+ org.eclipse.papyrus.infra.widgets.toolbox.notification.builders,
+ org.eclipse.papyrus.infra.widgets.toolbox.notification.dialogs,
+ org.eclipse.papyrus.infra.widgets.toolbox.notification.exception,
+ org.eclipse.papyrus.infra.widgets.toolbox.notification.popups,
+ org.eclipse.papyrus.infra.widgets.toolbox.notification.utils,
+ org.eclipse.papyrus.infra.widgets.toolbox.notification.view,
+ org.eclipse.papyrus.infra.widgets.toolbox.utils
+Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)";visibility:=reexport,
+ org.eclipse.ui;bundle-version="[3.107.0,4.0.0)";visibility:=reexport,
+ org.eclipse.ui.forms;bundle-version="[3.7.0,4.0.0)";visibility:=reexport,
+ org.eclipse.draw2d;bundle-version="[3.10.0,4.0.0)";visibility:=reexport,
+ org.eclipse.papyrus.infra.tools;bundle-version="[3.0.0,4.0.0)";visibility:=reexport
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 2.0.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-Activator: org.eclipse.papyrus.infra.widgets.toolbox.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.infra.widgets.toolbox;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/plugins/infra/ui/org.eclipse.papyrus.infra.widgets.toolbox/pom.xml b/plugins/infra/ui/org.eclipse.papyrus.infra.widgets.toolbox/pom.xml
index 8d1698de266..6a17359e756 100644
--- a/plugins/infra/ui/org.eclipse.papyrus.infra.widgets.toolbox/pom.xml
+++ b/plugins/infra/ui/org.eclipse.papyrus.infra.widgets.toolbox/pom.xml
@@ -1,13 +1,11 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
- xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
- <modelVersion>4.0.0</modelVersion>
- <parent>
- <artifactId>org.eclipse.papyrus.infra-ui</artifactId>
- <groupId>org.eclipse.papyrus</groupId>
- <version>0.0.1-SNAPSHOT</version>
- </parent>
- <artifactId>org.eclipse.papyrus.infra.widgets.toolbox</artifactId>
- <version>1.2.0-SNAPSHOT</version>
- <packaging>eclipse-plugin</packaging>
-</project>
+<?xml version="1.0" encoding="UTF-8"?><project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+ <modelVersion>4.0.0</modelVersion>
+ <parent>
+ <artifactId>org.eclipse.papyrus.infra-ui</artifactId>
+ <groupId>org.eclipse.papyrus</groupId>
+ <version>0.0.1-SNAPSHOT</version>
+ </parent>
+ <artifactId>org.eclipse.papyrus.infra.widgets.toolbox</artifactId>
+ <version>2.0.0-SNAPSHOT</version>
+ <packaging>eclipse-plugin</packaging>
+</project> \ No newline at end of file
diff --git a/plugins/infra/ui/org.eclipse.papyrus.infra.widgets/META-INF/MANIFEST.MF b/plugins/infra/ui/org.eclipse.papyrus.infra.widgets/META-INF/MANIFEST.MF
index 41aab7fb830..8b19b397b88 100644
--- a/plugins/infra/ui/org.eclipse.papyrus.infra.widgets/META-INF/MANIFEST.MF
+++ b/plugins/infra/ui/org.eclipse.papyrus.infra.widgets/META-INF/MANIFEST.MF
@@ -6,7 +6,7 @@ Require-Bundle: org.eclipse.core.databinding;bundle-version="[1.6.0,2.0.0)";visi
org.eclipse.jface.databinding;bundle-version="[1.8.0,2.0.0)",
org.eclipse.ui.views.properties.tabbed;bundle-version="[3.7.0,4.0.0)";visibility:=reexport,
com.ibm.icu;bundle-version="4.4.2",
- org.eclipse.papyrus.infra.services.labelprovider;bundle-version="[1.2.0,2.0.0)";visibility:=reexport,
+ org.eclipse.papyrus.infra.services.labelprovider;bundle-version="[2.0.0,3.0.0)";visibility:=reexport,
org.eclipse.jface.text;bundle-version="[3.11.0,4.0.0)";visibility:=reexport,
org.eclipse.emf.ecore;bundle-version="[2.12.0,3.0.0)";visibility:=reexport,
org.eclipse.nebula.widgets.richtext;bundle-version="[1.0.0,2.0.0)",
@@ -15,7 +15,7 @@ Require-Bundle: org.eclipse.core.databinding;bundle-version="[1.6.0,2.0.0)";visi
org.eclipse.e4.ui.model.workbench;bundle-version="[1.2.0,3.0.0)",
org.eclipse.e4.core.contexts;bundle-version="[1.5.0,2.0.0)",
org.eclipse.emf.edit.ui;bundle-version="[2.12.0,3.0.0)",
- org.eclipse.papyrus.infra.constraints;bundle-version="[2.0.0,3.0.0)"
+ org.eclipse.papyrus.infra.constraints;bundle-version="[3.0.0,4.0.0)"
Export-Package: org.eclipse.papyrus.infra.widgets,
org.eclipse.papyrus.infra.widgets.creation,
org.eclipse.papyrus.infra.widgets.databinding,

Back to the top